> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agency Branding By Id

> Get the branding of an agency by its ID.



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/agency/{agency_id}/branding
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/agency/{agency_id}/branding:
    get:
      tags:
        - Agency
      summary: Get Agency Branding By Id
      description: Get the branding of an agency by its ID.
      operationId: get_agency_branding_by_id_api_v1_agency__agency_id__branding_get
      parameters:
        - name: agency_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Agency Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IGetResponseBase_IAgencyBrandingRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    IGetResponseBase_IAgencyBrandingRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data retrieved successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/IAgencyBrandingRead'
            - type: 'null'
      type: object
      title: IGetResponseBase[IAgencyBrandingRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IAgencyBrandingRead:
      properties:
        branding:
          additionalProperties: true
          type: object
          title: Branding
      type: object
      required:
        - branding
      title: IAgencyBrandingRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````